## cabber 0.4.0

=== Makefile ===
# cabber Makefile
#
#
CC = gcc
LIBS = -lncurses

CFLAGS = -g3 -Wall
LDFLAGS = 

all: cabber

cabber: cabber.o list.o socket.o parsecfg.o server.o server.o keyb.o screen.o utf8.o
	$(CC) $(CFLAGS) -o cabber cabber.o list.o socket.o parsecfg.o server.o \
	keyb.o screen.o utf8.o $(LDFLAGS) $(LIBS)

screen.o: screen.c
	$(CC) $(CFLAGS) -c -o screen.o screen.c

utf8.o: utf8.c
	$(CC) $(CFLAGS) -c -o utf8.o utf8.c

parsecfg.o: parsecfg.c
	$(CC) $(CFLAGS) -c -o parsecfg.o parsecfg.c

keyb.o: keyb.c
	$(CC) $(CFLAGS) -c -o keyb.o keyb.c

list.o: list.c
	$(CC) $(CFLAGS) -c -o list.o list.c

socket.o: socket.c
	$(CC) $(CFLAGS) -c -o socket.o socket.c

server.o: server.c
	$(CC) $(CFLAGS) -c -o server.o server.c

cabber.o: cabber.c
	$(CC) $(CFLAGS) -c -o cabber.o cabber.c

clean:
	rm -f *.o *~ cabber

mrproper: clean
	rm -f Makefile config.*

install: all
	cp -f cabber /usr/bin/cabber
