## cabber 0.5.0-test1

=== debian/changelog ===
cabber (0.5.0-test1-3) unstable; urgency=low

  * QA upload.
  * Really remove build-depends on libc6 (Closes: #553473)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 09 Apr 2010 10:11:53 +0200

cabber (0.5.0-test1-2) unstable; urgency=low

  * QA upload.
  * Remove versioned build-depend on libc6 (Closes: 553473)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 08 Apr 2010 17:06:32 +0200

cabber (0.5.0-test1-1) unstable; urgency=low

  * QA upload.
    - New upstream release (Closes: #562117).
    - Move to packaging format "3.0 (quilt)" due to patches.
  * debian/cabber.sgml
    - (SECTION): Add missing value 1.
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update to debhelper 7.1. Add version to
      libc6-dev (Closes: #553473).
    - (Depends): add ${misc:Depends}.
    - (Homepage): new field.
    - (Standards-Version): update to 3.8.4.
  * debian/copyright
    - Update layout.
    - Use FSF URL; was: old address.
  * debian/dirs
    - Remove unused usr/sbin.
  * debian/patches
    - Convert Debian inline patches to quilt format.
    - (Number 40): Disable debugging which causes SIGSEGV.
      The file is the same for every user, which won't work.
  * debian/rules
    - (clean): Do not ignore MAKE call.
    - (install): use dh_prep.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 11 Mar 2010 21:10:53 +0200

cabber (0.4.0-test5-2.1) unstable; urgency=low

  * Non-maintainer upload to correct copyright file (closes: #328364).

 -- Nico Golde <nico@ngolde.de>  Sun,  2 Oct 2005 17:57:11 +0200

cabber (0.4.0-test5-2) unstable; urgency=low

  * screen.c, list.c: Fix segfaults problems with roster warning, no
    .cabberrc warning and color section warning (closes: #216853).

 -- David Fernandez Vaamonde <david_fv@gpul.org>  Wed, 22 Oct 2003 12:52:15 +0200

cabber (0.4.0-test5-1) unstable; urgency=low

  * Initial Release.

 -- David Fernandez Vaamonde <david_fv@gpul.org>  Thu, 18 Sep 2003 00:04:39 +0200
