=== debian/control ===
Source: cabber
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.1), libncurses5-dev, docbook-to-man
Standards-Version: 3.8.4
Homepage: http://freshmeat.net/projects/cabber

Package: cabber
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: easy and basic jabber console client
 Very easy and basic jabber console client based in ncurses, customizable
 and useful for use in a remote console.
 Jabber is an open protocol for instant messaging.
