=== debian/watch ===
version=3
  http://sf.net/cabber/cabber-(.+)\.tar\.gz
